[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TLargeintField.CheckRange

Check whether a values falls within the allowed range

## Declaration

Source position: db.pas line 625

`public function TLargeintField.CheckRange(`
`AValue: LargeInt`
`):Boolean;`

## Arguments

`AValue` |  | Value to check

## Function result

true if AValue is in the allowed range of values.

## Description

CheckRange returns True if AValue lies within the range defined by the MinValue and MaxValue properties. If the value lies outside of the allowed range, then False is returned.

## See also

MaxValue |  | Maximum value for the field
MinValue |  | Minimum value for the field